<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
**********************************************/

define('IN_COPPERMINE', true);

define('ALBMGR_PHP', true);
define('MODIFYALB_PHP', true);
define('CATMGR_PHP', true);

require('include/init.inc.php');

if (!USER_ID) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

pageheader($lang_albmgr_php['alb_mrg']);

?>
<link rel="stylesheet" type="text/css" href="albmgr2/lists.css"/>

<script type="text/javascript" src="albmgr2/sarissa.js"></script>
<script type="text/javascript" src="albmgr2/core.js"></script>
<script type="text/javascript" src="albmgr2/events.js"></script>
<script type="text/javascript" src="albmgr2/css.js"></script>
<script type="text/javascript" src="albmgr2/coordinates.js"></script>
<script type="text/javascript" src="albmgr2/drag.js"></script>
<script type="text/javascript" src="albmgr2/dragsort.js"></script>
<script type="text/javascript" src="albmgr2/albmgr.js"></script>

<table width="100%">
	<tr>
		<td valign="top" width="25%" height="450">
			<div id="lister"></div>
		</td>
		<td width="5%">
		</td>
		<td valign="top" align="left" width="70%">
			<div class="editholder">
				<div id="albcontainer">
					<?php starttable("100%", $lang_modifyalb_php['update']); ?>
						<tr>
							<td valign="top" class="tableb">
								<div id="editor">
									<form id="albform" method="post" action="albmgr2.php">
										<table width="100%">
											<tr>
												<td valign="top">
													<table>
														<tr>
															<td>
																<p><?=$lang_modifyalb_php['alb_title']?></p>
																<input class="textinput" id="title" name="title" type="text" size="40" />
															</td>
														</tr>
														<tr>
															<td>
																<p><?=$lang_modifyalb_php['alb_desc']?></p>
																<textarea class="textinput" id="desc" name="description" rows="5" cols="37"></textarea>
															</td>
														</tr>
														<tr>
															<td>
																<p><?=$lang_modifyalb_php['alb_keyword']?></p>
																<input class="textinput" id="keywords" name="keyword" type="text"  size="40" />
															</td>
														</tr>
														<tr>
															<td>
																<p><?=$lang_modifyalb_php['alb_password']?></p>
																<input class="textinput" id="pass" name="alb_password" type="password" size="40" />
															</td>
														</tr>
														<tr>
															<td>
																<p><?=$lang_modifyalb_php['alb_password_hint']?></p>
																<input class="textinput" id="hint" type="text" name="alb_password_hint" size="40" />
															</td>
														</tr>
													</table>
												</td>
												<td valign="top" align="center" width="100%">
													<fieldset>
														<legend><?=$lang_modifyalb_php['alb_perm']?></legend>
														<table>
															<tr>
																<td id ="thumbpicker" align="center">
																</td>
															</tr>
															<tr>
																<td class="tableb">
																	<?=$lang_modifyalb_php['can_upload']?>
																</td>
																<td class="tableb" valign="top">
																	<input type="radio" id="uploads1" name="uploads" value="YES"  /><label for="uploads1" class="clickable_option">Yes</label>
																		&nbsp;&nbsp;
																	<input type="radio" id="uploads0" name="uploads" value="NO" checked="checked" /><label for="uploads0" class="clickable_option">No</label>
																</td>
															</tr>
															<tr>
																<td class="tableb">
																	<?=$lang_modifyalb_php['can_post_comments']?>
																</td>
																<td class="tableb" valign="top">
																	<input type="radio" id="comments1" name="comments" value="YES" checked="checked" /><label for="comments1" class="clickable_option">Yes</label>
																		&nbsp;&nbsp;
																	<input type="radio" id="comments0" name="comments" value="NO"  /><label for="comments0" class="clickable_option">No</label>
																</td>
															</tr>
															<tr>
															   <td class="tableb">
																	<?=$lang_modifyalb_php['can_rate']?>
																</td>
																<td class="tableb" valign="top">
																	<input type="radio" id="votes1" name="votes" value="YES" checked="checked" /><label for="votes1" class="clickable_option">Yes</label>
																		&nbsp;&nbsp;
																	<input type="radio" id="votes0" name="votes" value="NO"  /><label for="votes0" class="clickable_option">No</label>
																</td>
															</tr>
														</table>
													</fieldset>
												</td>
											</tr>
											<tr>
												<td align="right" colspan="2">
													<input type="submit" class="button" value="Delete" onclick="return deletealb();"/>
													<input id="albsubmit" type="submit" class="button" value="Update" onclick="return updatealb();"/>
												</td>
											</tr>
										</table>
									</div>
								</form>
							</td>
						</tr>
					<?php endtable(); ?>
				</div>
				<div id="catcontainer">
					<?php starttable("100%", $lang_catmgr_php['manage_cat']); ?>
						<tr>
							<td valign="top">
								<div id="editor">
									<form id="catform" method="post" action="albmgr2.php">
										<table width="100%">
											<tr>
												<td valign="top">
													<table>
														<tr>
															<td>
																<p><?=$lang_catmgr_php['cat_title']?></p>
																<input class="textinput" id="cattitle" name="cattitle" type="text" size="40" value="" />
															</td>
														</tr>
														<tr>
															<td>
																<p><?=$lang_catmgr_php['cat_desc']?></p>
																<textarea class="textinput" id="catdesc" name="description" rows="5" cols="37"></textarea>
															</td>
														</tr>
													</table>
												</td>
											</tr>
											<tr>
												<td align="right" colspan="2">
													<input type="submit" class="button" value="Delete" onclick="return deletecat();"/>
													<input id="catsubmit" type="submit" class="button" value="Update" onclick="return updatecat();"/>
												</td>
											</tr>
										</table>
									</form>
								</div>
							</td>
						</tr>
					<?php endtable(); ?>
				</div>
			</div>
		</td>
	</tr>
</table>
<?php pagefooter(); ?>