/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
**********************************************/

var dragsort = ToolMan.dragsort();
var junkdrawer = ToolMan.junkdrawer()
var server = 'albmgr2/server.php';

init();

function chkreply()
{
	if(xmlDoc.readyState != 4){
		return false;
	} else if (xmlDoc.parseError != 0){
		//alert(Sarissa.getParseErrorText(xmlDoc));
		alert('XML parse error');
		return false;
	} else if (xmlDoc.getElementsByTagName("error").length){
		alert(xmlDoc.getElementsByTagName("error")[0].firstChild.nodeValue);
		return false;
	} else if (xmlDoc.getElementsByTagName("message").length){
		//alert(xmlDoc.getElementsByTagName("message")[0].firstChild.nodeValue); uncomment to display messages
		return true;
	} else {
		return true;
	}
}

function setHandle(item) {
	item.toolManDragGroup.setHandle(findHandle(item))
}

function findHandle(item) {
	var children = item.getElementsByTagName("div")
	for (var i = 0; i < children.length; i++) {
		var child = children[i]

		if (child.getAttribute("class") == null) continue

		if (child.getAttribute("class").indexOf("handle") >= 0)
			return child
	}
	return item
}

function init()
{
	xmlDoc = Sarissa.getDomDocument();
	cache = new Array();
	x = 0;
	request(0);
}

function editalb(alb)
{
	aid = alb;
	alb_details(alb);
}

function editcat(cat)
{
	cid = cat;
	cat_details(cat);
}

function updatealb()
{
	document.getElementById("albsubmit").disabled = true;
	document.getElementById("albsubmit").value = 'Updating.....';
	
	form = document.getElementById("albform");
	
	var data = '';
		
	for (i = 0; i < form.length; ++i){
		var elem = form.elements[i];
		if (elem.name && !(elem.value == 'NO' && !elem.checked)){
			value=escape(elem.value);
			data += elem.name + '=' + value + '&';
		}
	}
	data += 'aid' + '=' + aid + '&';
	data += 'category' + '=' + cc;
	
	req = new XMLHttpRequest();
			
	req.open("POST", server, true);
	req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
	req.onreadystatechange = albreflect;
	req.send(data);
	
	return false;
}

function albreflect()
{
	if(req.readyState == 4){
		document.getElementById("albsubmit").disabled = false;
		document.getElementById("albsubmit").value = 'Update';
	}
}

function updatecat()
{
	document.getElementById("catsubmit").disabled = true;
	document.getElementById("catsubmit").value = 'Updating.....';
	
	form = document.getElementById("catform");
	
	var data = '';
		
	for (i = 0; i < form.length; ++i){
		var elem = form.elements[i];
		if (elem.name && !(elem.value == 'NO' && !elem.checked)){
			value=escape(elem.value);
			data += elem.name + '=' + value + '&';
		}		
	}
	data += 'cid' + '=' + cid + '&';
	//data += 'parent' + '=' + cc;
	
	req = new XMLHttpRequest();
			
	req.open("POST", server, true);
	req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8'); 		
	req.onreadystatechange = catreflect;
	req.send(data);
		
	return false;
}

function catreflect()
{
	if(req.readyState == 4){
		document.getElementById("catsubmit").disabled = false;
		document.getElementById("catsubmit").value = 'Update';
	}
}

function alb_details(aid)
{
	xmlDoc.onreadystatechange = albeditor
	xmlDoc.load(server + '?aid=' + aid);
}

function cat_details(cid)
{
	xmlDoc.onreadystatechange = cateditor
	xmlDoc.load(server + '?cid=' + cid);
}

function albeditor()
{
	if (chkreply()){
		height = Math.max(document.documentElement.scrollTop, window.pageYOffset);
		height = Math.min(height, document.body.clientHeight-550);
		height = Math.max(height-250, 0);
			
		document.getElementById("albcontainer").style.top = height + "px";
		document.getElementById("title").value = xmlDoc.getElementsByTagName("name")[0].firstChild.nodeValue;
		document.getElementById("desc").value = xmlDoc.getElementsByTagName("desc")[0].firstChild.nodeValue;
		document.getElementById("keywords").value = xmlDoc.getElementsByTagName("keywords")[0].firstChild.nodeValue;
		document.getElementById("hint").value = xmlDoc.getElementsByTagName("hint")[0].firstChild.nodeValue;
		document.getElementById("pass").value = xmlDoc.getElementsByTagName("pass")[0].firstChild.nodeValue;
	
		var types = new Array('uploads', 'comments', 'votes');

		for (var i = 0; i < types.length; i++){
			var type = types[i];
			if (xmlDoc.getElementsByTagName(type)[0].firstChild.nodeValue == 'YES'){
				document.getElementById(type + "0").checked = '';
				document.getElementById(type + "1").checked = 'checked';
			} else {
				document.getElementById(type + "0").checked = 'checked';
				document.getElementById(type + "1").checked = '';
			}
		}
	
		/* Doesn't work
	
		thumbopt = document.getElementById("thumbpicker")
	
		thumbopt.innerHTML =  '<img id="thumbimg" src="images/thumb_nopic.jpg" class="image" />'
		thumbopt.innerHTML += '<select id="thumbnail" name="thumb" class="listbox" onChange="changepic(this);">'
		thumbopt.innerHTML += '<option value="0">Random</option>'
	
		thumbs = xmlDoc.getElementsByTagName("thumb");
	
		for(var i = 0; i < thumbs.length; i++){
			value = thumbs[i].getAttribute("pid");
			name = thumbs[i].firstChild.nodeValue;
			thumbopt.innerHTML += '<option value="' +  value + '">' + name + '</option>';
		}
	
		thumbopt.innerHTML += '</select>'

		*/
	
		document.getElementById("catcontainer").style.display = 'none';
		document.getElementById("albcontainer").style.display = 'block';
	}
}

function cateditor()
{
	if (chkreply()){
		height = Math.max(document.documentElement.scrollTop, window.pageYOffset);
		height = Math.min(height, document.body.clientHeight-650);
		height = Math.max(height-150, 0);
				
		document.getElementById("catcontainer").style.top = height + "px";
		document.getElementById("cattitle").value = xmlDoc.getElementsByTagName("name")[0].firstChild.nodeValue;
		document.getElementById("catdesc").value = xmlDoc.getElementsByTagName("desc")[0].firstChild.nodeValue;
	
		document.getElementById("albcontainer").style.display = 'none';
		document.getElementById("catcontainer").style.display = 'block';
	}
}

function request(cid)
{
	cc = cid;
	xmlDoc.onreadystatechange = loadup
	xmlDoc.load(server + '?cat=' + cid);
}

function loadup()
{
	if (chkreply()){
		admin_mode = xmlDoc.getElementsByTagName("admin_mode")[0].firstChild.nodeValue;
		user_id = xmlDoc.getElementsByTagName("user_id")[0].firstChild.nodeValue - 0;
		admin_mode = (admin_mode == 1);
		if (!admin_mode) cc = 10000 + user_id;
		cats = xmlDoc.getElementsByTagName("cat");
		albs = xmlDoc.getElementsByTagName("alb");
		catname = "cat" + cc;
		albname = "alb" + cc;
	
		var display = '';
		
		display += '<ul id="' + catname + '">';
		
		if (cats.length > 0){
			for (var i = 0; i < cats.length; i++){
				cat = cats[i];
				var categoryname = cat.getElementsByTagName("name")[0].firstChild.nodeValue;
				var catid = cat.getElementsByTagName("id")[0].firstChild.nodeValue;
				display += '<li id="' + catid + '"><div class="handle"></div><div class="view"><a href="javascript:expand(' + catid + ');"><img src="images/descending.gif" border="0" /></a><span onclick="javascript:editcat(' + catid + ');"> ' + categoryname + '</span></div></li>';
			}
		}
		
		display += '</ul>';

		if (cc != 1 && cc < 10000) display += '<p align="center"><input onclick="javascript:createcat(cc);" class="button" type="submit" value="Create category"/></p>';
		display += '<ul id="' + albname + '">';
	
		if (albs.length > 0){
			for (var i = 0; i < albs.length; i++){
				alb = albs[i];
				var albumname =alb.getElementsByTagName("name")[0].firstChild.nodeValue;
				var aid = alb.getElementsByTagName("id")[0].firstChild.nodeValue;										
				display += '<li id="album' + aid + '"><div class="handle"></div><div onclick="javascript:editalb(' + aid + ');" class="view">' + albumname + '</div></li>';
			}
		}
			
		display += '</ul>';
		if (cc != 1) display += '<p align="center"><input onclick="javascript:createalb(cc);" class="button" type="submit" value="Create album"/></p>';
			
		if (document.getElementById("lister").innerHTML == ""){
			document.getElementById("lister").innerHTML =  '<ul class="sortable boxy">Gallery:' + display + '</ul>';
		} else {
			document.getElementById(cc).innerHTML += '<ul>' + display + '</ul>';
		}
			
		if (albs.length > 1) dragsort.makeListSortable(document.getElementById(albname), setHandle, saveOrder)
		if (cats.length > 1) dragsort.makeListSortable(document.getElementById(catname), setHandle, saveOrder)
	}
}

function expand(cid)
{
	document.getElementById("catcontainer").style.display = 'none';
	document.getElementById("albcontainer").style.display = 'none';
	
	if (cache[cid]){
		document.getElementById(cid).innerHTML = cache[cid];
		cache[cid] = '';
	} else {
		cache[cid] = document.getElementById(cid).innerHTML;
		request(cid);
	}
}

function replaceAll( str, from, to ) {
    var idx = str.indexOf( from );

    while ( idx > -1 ) {
        str = str.replace( from, to );
        idx = str.indexOf( from );
    }

    return str;
}

function saveOrder(item) {
	var group = item.toolManDragGroup
	var list = group.element.parentNode
	var id = list.getAttribute("id")
	if (id == null) return

	group.register('dragend', function() {
		var list = item.toolManDragGroup.element.parentNode
		var data = list.getAttribute("id")
		var lies = list.getElementsByTagName("li")

		for (var i = 0; i < lies.length; i++){
			var matches = lies[i].innerHTML.match(/javascript:edit(alb|cat)\(([0-9]+)\);/)
			data += ':' + matches[2];
		}
		updatepos(data)
	})
}

function updatepos(data)
{
	xmlDoc.onreadystatechange = chkreply
	xmlDoc.load(server + '?newposdata=' + data);
}

function createalb(ident)
{
	container = document.getElementById("alb" + ident);
	xmlDoc.onreadystatechange = ordernewalb
	xmlDoc.load(server + '?newalbum=' + ident);
}

function createcat(ident)
{
	container = document.getElementById("cat" + ident);
	xmlDoc.onreadystatechange = ordernewcat
	xmlDoc.load(server + '?newcat=' + ident);
}

function ordernewalb()
{
	if (chkreply()){	
		aid = xmlDoc.getElementsByTagName("newaid")[0].firstChild.nodeValue
		container.innerHTML = '<li id="album' + aid + '"><div class="handle"></div><div onclick="javascript:editalb(' + aid + ');" class="view">New Album</div></li>' + container.innerHTML;
		dragsort.makeListSortable(document.getElementById(container.id), setHandle, saveOrder)
	}
}

function ordernewcat()
{
	if (chkreply()){	
		cid = xmlDoc.getElementsByTagName("newcid")[0].firstChild.nodeValue
		container.innerHTML = '<li id="' + cid + '"><div class="handle"></div><div class="view"><a href="javascript:expand(' + cid + ');"><img src="images/descending.gif" border="0" /></a><span onclick="javascript:editcat(' + cid + ');"> New Category</span></div></li>' + container.innerHTML;
		dragsort.makeListSortable(document.getElementById(container.id), setHandle, saveOrder)
	}
}

function deletecat()
{
	xmlDoc.onreadystatechange = removecat
	xmlDoc.load(server + '?delcat=' + cid);
	return false;
}

function removecat()
{
	if (chkreply()){
		document.getElementById(cid).style.display = 'none';
		document.getElementById("catcontainer").style.display = 'none';
		dragsort.makeListSortable(document.getElementById(container.id), setHandle, saveOrder)
	}
}

function deletealb()
{
	xmlDoc.onreadystatechange = removealb
	xmlDoc.load(server + '?delalb=' + aid);
	return false;
}

function removealb()
{
	if (chkreply()){
		document.getElementById('album' + aid).style.display = 'none';
		document.getElementById("albcontainer").style.display = 'none';
		dragsort.makeListSortable(document.getElementById(container.id), setHandle, saveOrder)
	}
}

function admin()
{
	xmlDoc.onreadystatechange = adminchk
	xmlDoc.load(server + '?admin=check');
}

function adminchk()
{
	if (chkreply()){
		admin_mode = xmlDoc.getElementsByTagName("admin")[0].firstChild.nodeValue;
	} 
}