<?php

header('Content-type: text/xml');

define('IN_COPPERMINE', 1);
chdir('..');
require 'include/init.inc.php';

if (!USER_ID) die('<response><error>' . $lang_errors['perm_denied'] . '</error></response>');

if (extension_loaded('zlib')){
	ob_start('ob_gzhandler');
} else {
	ob_start();
}

$CONFIG['debug_mode']  = 1;

if (isset($_GET['aid'])) alb_details((int) $_GET['aid']);
if (isset($_GET['cid'])) cat_details((int) $_GET['cid']);
if (isset($_POST['aid'])) updatealb();
if (isset($_POST['cid'])) updatecat();
if (isset($_GET['cat'])) catlist((int) $_GET['cat']);
if (isset($_GET['newposdata'])) updatepos($_GET['newposdata']);
if (isset($_GET['newalbum'])) createalbumin((int) $_GET['newalbum']);
if (isset($_GET['newcat'])) createcatin((int) $_GET['newcat']);
if (isset($_GET['delcat'])) deletecat((int) $_GET['delcat']);
if (isset($_GET['delalb'])) deletealb((int) $_GET['delalb']);

ob_end_flush();

function deletecat($cid)
{
	global $CONFIG;

	//$result = cpg_db_query("SELECT cid FROM {$CONFIG['TABLE_CATEGORIES']} WHERE parent = '$cid'");
	//while(list($cat) = mysql_fetch_row($result)) deletecat($cat);
		
	if (FALSE){ // lethal mode
		
		$result = cpg_db_query("SELECT aid FROM {$CONFIG['TABLE_ALBUMS']} WHERE category = '$cid'");
		while(list($aid) = mysql_fetch_row($result)) deletealb($aid);
				
	} else { // safety mode
	
		// get parent of category we are deleting which is the grandparent of child cats and contained albs
		$result = cpg_db_query("SELECT parent FROM {$CONFIG['TABLE_CATEGORIES']} WHERE cid = '$cid' LIMIT 1");
		list($parent) = mysql_fetch_row($result);

		// get grandparent to adopt orphan sub cats
		cpg_db_query("UPDATE {$CONFIG['TABLE_CATEGORIES']} SET parent = '$parent' WHERE parent = '$cid'");
		
		// get grandparent to adopt orphan albums
		cpg_db_query("UPDATE {$CONFIG['TABLE_ALBUMS']} SET category = '$parent' WHERE category = '$cid'");
		
		// and then remove the category from db
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CATEGORIES']} WHERE cid = '$cid' LIMIT 1");
		
		die("<response><message>Category removed</message></response>");
	}
}

function createcatin($cat)
{
	global $CONFIG;

	if (!GALLERY_ADMIN_MODE) die('<response><error>' . $lang_errors['perm_denied'] . '</error></response>');
	
	$result = cpg_db_query("INSERT INTO {$CONFIG['TABLE_CATEGORIES']} (parent, name) VALUES ('$cat', 'New Category')");

	if ($result){
		$result = cpg_db_query("SELECT LAST_INSERT_ID()");
		list($cid) = mysql_fetch_row($result);
		//$cid = mysql_insert_id();
		die("<response><newcid>$cid</newcid></response>");
	} else {
		die("<response><error>Category creation failed</error></response>");
	}
}

function createalbumin($cat)
{
	global $CONFIG;
	
	if (!GALLERY_ADMIN_MODE && $cat < 10000) die('<response><error>' . $lang_errors['perm_denied'] . '</error></response>');
	
	$result = cpg_db_query("INSERT INTO {$CONFIG['TABLE_ALBUMS']} (category, title) VALUES ('$cat', 'New Album')");
                    
	if ($result){
		$result = cpg_db_query("SELECT LAST_INSERT_ID()");
		list($aid) = mysql_fetch_row($result);
		//$aid = mysql_insert_id();
		die("<response><newaid>$aid</newaid></response>");
	} else {
		die("<response><error>Album creation failed</error></response>");
	}
}

function updatepos($data)
{
	global $CONFIG;
	
	$parts = explode(':', $data);
	$hdr = array_shift($parts);
	
	if (strstr($hdr, 'alb')){
		$table = $CONFIG['TABLE_ALBUMS'];
		$id = 'aid';
	} elseif (strstr($hdr, 'cat')){
		$table = $CONFIG['TABLE_CATEGORIES'];
		$id = 'cid';
	} else {
		die("<response><error>Invalid identifier - '$hdr'</error></response>");
	}
		
	foreach ($parts as $pos => $item) cpg_db_query("UPDATE $table SET pos = '$pos' WHERE `$id` = '$item'");
	
	die("<response><message>Positions updated</message></response>");
}

function catlist($parent)
{
	global $CONFIG, $cpg_udb;

	if (GALLERY_ADMIN_MODE) {
		$result = cpg_db_query("SELECT cid, name, description FROM {$CONFIG['TABLE_CATEGORIES']} WHERE parent = '$parent' ORDER BY pos");
	} else {
		$result = cpg_db_query("SELECT cid, name, description FROM {$CONFIG['TABLE_CATEGORIES']} WHERE parent = " . (USER_ID + FIRST_USER_CAT) . " ORDER BY pos");
	}
	$list = '<response><list>';
	
	while ($row = cpg_db_fetch_row($result)){
		$list .= <<< XML
<cat>
	<id>{$row['cid']}</id>
	<name><![CDATA[{$row['name']}]]></name>
	<desc><![CDATA[{$row['description']}]]></desc>
</cat>
XML;
	}
	mysql_free_result($result);

	if ($parent == 1){
		$f =& $cpg_udb->field;

		$sql  = "SELECT {$f['user_id']} + " . FIRST_USER_CAT . " as cid,";
        $sql .= "{$f['username']} as name,";
        $sql .= "MAX(pid) as thumb_pid, ";
        $sql .= "MAX(galleryicon) as gallery_pid ";
        $sql .= "FROM {$CONFIG['TABLE_ALBUMS']} AS a ";
        $sql .= "INNER JOIN {$cpg_udb->usertable} as u on u.{$f['user_id']}+".FIRST_USER_CAT."=a.category ";
        $sql .= "LEFT JOIN {$CONFIG['TABLE_PICTURES']} AS p ON p.aid = a.aid ";
        $sql .= "WHERE ((isnull(approved) or approved='YES') AND category > " . FIRST_USER_CAT . ") $forbidden_with_icon GROUP BY category ";
        $sql .= "ORDER BY category ";


		$result = cpg_db_query($sql);
		
		while ($row = cpg_db_fetch_row($result)){
			$list .= <<< XML
<cat>
	<id>{$row['cid']}</id>
	<name><![CDATA[{$row['name']}]]></name>
	<desc><![CDATA[{$row['description']}]]></desc>
</cat>
XML;
		}
		mysql_free_result($result);
	}
		
	if (GALLERY_ADMIN_MODE) {
		$result = cpg_db_query("SELECT aid, title FROM {$CONFIG['TABLE_ALBUMS']} WHERE category = '$parent' ORDER BY pos");
	} else {
		$result = cpg_db_query("SELECT aid, title FROM {$CONFIG['TABLE_ALBUMS']} WHERE category = " . (USER_ID + FIRST_USER_CAT) . " ORDER BY pos");
	}
		
	while ($row = cpg_db_fetch_row($result)){
		$list .= <<< XML
<alb>
	<id>{$row['aid']}</id>
	<name><![CDATA[{$row['title']}]]></name>
</alb>
XML;
	}
		
	$list .= '</list>';
	
	$list .= '<admin_mode>'.  (GALLERY_ADMIN_MODE ? 1 : 0) . '</admin_mode>';
	
	$list .= '<user_id>'.  (USER_ID ? USER_ID : 0) . '</user_id>';
	
	$list .= '</response>';
	
	echo $list;
}

function updatecat()
{
	global $CONFIG, $lang_errors, $lang_db_input_php;
	
	if (!GALLERY_ADMIN_MODE) die('<response><error>' . $lang_errors['perm_denied'] . '</error></response>');

	$cid = (int)$_POST['cid'];
	$title = addslashes(trim($_POST['cattitle']));
	$description = addslashes(trim($_POST['description']));
	//$thumb = (int)$_POST['thumb'];

	$query = "UPDATE {$CONFIG['TABLE_CATEGORIES']} SET name='$title', description='$description', parent=parent WHERE cid='$cid' LIMIT 1";

	$update = cpg_db_query($query);

	if (!mysql_affected_rows()) die('<response><message>' . $lang_db_input_php['no_udp_needed'] . '</message></response>');
		die('<response><message>Category updated</message></response>');
}

function updatealb()
{
	global $CONFIG, $lang_errors, $lang_db_input_php;

	if (!(USER_ADMIN_MODE || GALLERY_ADMIN_MODE)) die('<response><error>' . $lang_errors['perm_denied'] . '</error></response>');

    $aid = (int)$_POST['aid'];
    $title = addslashes(trim($_POST['title']));
    $category = (int)$_POST['category'];
    $description = addslashes(trim($_POST['description']));
	$keyword = addslashes(trim($_POST['keyword']));
	//$thumb = (int)$_POST['thumb'];
	//$visibility = (int)$_POST['visibility'];
	$uploads = $_POST['uploads'] == 'YES' ? 'YES' : 'NO';
	$comments = $_POST['comments'] == 'YES' ? 'YES' : 'NO';
	$votes = $_POST['votes'] == 'YES' ? 'YES' : 'NO';
	$password = $_POST['alb_password'];
	$password_hint = addslashes(trim($_POST['alb_password_hint']));
	//$visibility = !empty($password) ? FIRST_USER_CAT + USER_ID : $visibility;

	if (GALLERY_ADMIN_MODE) {
		$query = "UPDATE {$CONFIG['TABLE_ALBUMS']} SET title='$title', description='$description', category='$category', thumb='0', uploads='$uploads', comments='$comments', votes='$votes', visibility='0', alb_password='$password', alb_password_hint='$password_hint', keyword='$keyword' WHERE aid='$aid' LIMIT 1";
	} else {
		$category = FIRST_USER_CAT + USER_ID;
		$query = "UPDATE {$CONFIG['TABLE_ALBUMS']} SET title='$title', description='$description', thumb=thumb,  comments='$comments', votes='$votes', visibility=visibility, alb_password='$password', alb_password_hint='$password_hint',keyword='$keyword' WHERE aid='$aid' AND category='$category' LIMIT 1";
	}

	$update = cpg_db_query($query);

	if (!mysql_affected_rows()) die('<response><message>' . $lang_db_input_php['no_udp_needed'] . '</message></response>');
		die('<response><message>Album updated</message></response>');
}

function alb_details($aid)
{
	global $CONFIG;
	
	//$result = cpg_db_query("SELECT pid, filepath, filename FROM {$CONFIG['TABLE_PICTURES']} WHERE aid = '$aid'");
	
	$thumblist = '';
	
	//while ($row = cpg_db_fetch_row($result)){
	//	$thumblist .= "<thumb pid=\"{$row['pid']}\"><![CDATA[" . $CONFIG['fullpath'] . $row['filepath'] . $CONFIG['thumb_pfx'] . $row['filename'] . ']]></thumb>';
	//}
	
	$result = cpg_db_query("SELECT * FROM {$CONFIG['TABLE_ALBUMS']} WHERE aid = '$aid' LIMIT 1");
	
	$row = cpg_db_fetch_row($result);
		echo <<< XML
<response>
	<album>
		<id>{$row['aid']}</id>
		<name><![CDATA[{$row['title']}]]></name>
		<desc><![CDATA[{$row['description']}]]></desc>
		<keywords><![CDATA[{$row['keywords']}]]></keywords>
		<thumbnail><![CDATA[{$row['thumb']}]]></thumbnail>
		<pass><![CDATA[{$row['alb_password']}]]></pass>
		<hint><![CDATA[{$row['alb_password_hint']}]]></hint>
		<uploads>{$row['uploads']}</uploads>
		<comments>{$row['comments']}</comments>
		<votes>{$row['votes']}</votes>
		<thumblist>
			$thumblist
		</thumblist>
	</album>
</response>
XML;
}

function cat_details($cid)
{
	global $CONFIG;
		
	$result = cpg_db_query("SELECT * FROM {$CONFIG['TABLE_CATEGORIES']} WHERE cid = '$cid' LIMIT 1");
	
	$row = cpg_db_fetch_row($result);
		echo <<< XML
<response>
	<category>
		<id>{$row['cid']}</id>
		<name><![CDATA[{$row['name']}]]></name>
		<desc><![CDATA[{$row['description']}]]></desc>
	</category>
</response>
XML;
}

function delete_picture($pid)
{
    global $CONFIG, $lang_errors;

	$result = cpg_db_query("SELECT aid, filepath, filename FROM {$CONFIG['TABLE_PICTURES']} WHERE pid='$pid'");
	$pic = mysql_fetch_array($result);
	$dir = $CONFIG['fullpath'] . $pic['filepath'];
	$file = $pic['filename'];

    if (!is_writable($dir)) die('<response><error>' . sprintf($lang_errors['directory_ro'], htmlspecialchars($dir)) .'</error></response>');

    $files = array($dir . $file, $dir . $CONFIG['normal_pfx'] . $file, $dir . $CONFIG['thumb_pfx'] . $file);
    foreach ($files as $currFile) @unlink($currFile);

    cpg_db_query("DELETE FROM {$CONFIG['TABLE_COMMENTS']} WHERE pid='$pid'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_EXIF']} WHERE filename='$dir$file' LIMIT 1");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_PICTURES']} WHERE pid='$pid' LIMIT 1");
}

function deletealb($aid)
{
    global $CONFIG, $lang_errors;

    $result = cpg_db_query("SELECT title, category FROM {$CONFIG['TABLE_ALBUMS']} WHERE aid ='$aid'");
    $album_data = mysql_fetch_array($result);

    if (!GALLERY_ADMIN_MODE) {
        if ($album_data['category'] != FIRST_USER_CAT + USER_ID) die('<response><error>' . $lang_errors['perm_denied'] . '</error></response>');
    }

    $result = cpg_db_query("SELECT pid FROM {$CONFIG['TABLE_PICTURES']} WHERE aid='$aid'");

    while (list($pic) = mysql_fetch_row($result)) delete_picture($pic['pid']);

    cpg_db_query("DELETE FROM {$CONFIG['TABLE_ALBUMS']} WHERE aid='$aid' LIMIT 1");
	
	die('<response><message>Album deleted</message></response>');
 }